package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelCommentCreateRequest struct {
	/*
	   差评信息     */
	CommentCreateInfo *domain.AlibabaWdkChannelCommentCreateCommentCreateInfo `json:"comment_create_info" required:"true" `
}

func (s *AlibabaWdkChannelCommentCreateRequest) SetCommentCreateInfo(v domain.AlibabaWdkChannelCommentCreateCommentCreateInfo) *AlibabaWdkChannelCommentCreateRequest {
	s.CommentCreateInfo = &v
	return s
}

func (req *AlibabaWdkChannelCommentCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.CommentCreateInfo != nil {
		paramMap["comment_create_info"] = util.ConvertStruct(*req.CommentCreateInfo)
	}
	return paramMap
}

func (req *AlibabaWdkChannelCommentCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
